#include "LogWindow.h"
#include "LibAard.h"
#include "LogViewer.h"
#include <QTextDocument>

LogWindow::LogWindow(LibAard * aard_device, QWidget * /* parent */) {
   ui.setupUi(this);
   my_viewer = new LogViewer(ui.logTextEdit);
   aard_device->SetLogger(my_viewer);
}

LogWindow::~LogWindow() {
}

void
LogWindow::doClose() {
   hide();
}

void
LogWindow::doDiscard() {
   ui.logTextEdit->document()->clear();
}
